Page MenuHomePhabricator

IABot 2.0beta14 appends Webarchiv template to Literatur template which already contains Webarchiv template
Open, Needs TriagePublic

Description

With this edit, IABot appended a Webarchiv template to a Literatur template which already contained a Webarchiv template:

{{Literatur | ... |Online={{Webarchiv | url=http://www.fns.uniba.sk/fileadmin/user_upload/editors/geol/aubrecht/Publications/03-Papers/2-Popular-scientific/07-Tepuy2009.pdf | wayback=20120301180027 | text=''fns.uniba.sk''}} |Format=PDF.... }}

was changed to

{{Literatur | ... |Online={{Webarchiv | url=http://www.fns.uniba.sk/fileadmin/user_upload/editors/geol/aubrecht/Publications/03-Papers/2-Popular-scientific/07-Tepuy2009.pdf | wayback=20120301180027 | text=''fns.uniba.sk''}} |Format=PDF.... }} {{Webarchiv|url=http://www.fns.uniba.sk/fileadmin/user_upload/editors/geol/aubrecht/Publications/03-Papers/2-Popular-scientific/07-Tepuy2009.pdf |wayback=20120301180027 |text=The new results from International Speleological Expedition Tepuy 2009 to Chimantá and Roraima Table Mountains (Guyana Highlands, Venezuela) |archiv-bot=2019-04-19 03:28:47 InternetArchiveBot }}

IABot should only append cite or dead link templates to {{Literatur}} if the Online parameter contains a plain link or external wikilink. If it contains any kind of template, it should be ignored.

Event Timeline

Cirdan created this task.Apr 19 2019, 12:54 PM
Restricted Application assigned this task to Cyberpower678. · View Herald TranscriptApr 19 2019, 12:54 PM
Restricted Application added subscribers: Liuxinyu970226, Cyberpower678. · View Herald Transcript

This is not feasible. IABot's updated config will only recognize that a URL exists somewhere in Online, but because of limitations in the code that is shared on other wikis, it cannot detect that a Webarchive already exists in there. We might need to use a cleanup bot to move the Webarchiv templates out of Literatur to fix this.

Cirdan claimed this task.Apr 20 2019, 12:01 PM
Cirdan added a project: User-Cirdan.

I'll see what I can do.

Cirdan moved this task from Backlog to KompostBot on the User-Cirdan board.Apr 20 2019, 12:01 PM
Cyberpower678 closed this task as Resolved.Jul 27 2019, 12:45 PM

I'm going to go ahead and close this. Assuming the one time cleanup but did fix this, this shouldn't be an issue going forward.

Cirdan reopened this task as Open.Jul 28 2019, 8:08 AM

I haven't done a lot of cleaning yet, when I find the time I'll try to achieve consensus for a proper solution.